# Silicon - MF/scf - PARATEC

In this directory we perform a standard SCF calculation and obtain a charge
density which will be used to generate all the other WFNs. We use a
standard Monkhorst-Pack k-grid that converges the charge density, and no
input flags pertaining to BerkeleyGW need to be used for PARATEC here.

1. Start the calculation with `sbatch --reservation=vESW_2020_Fri ./01-calculate_scf.run`.

2. Take a look at the `input` for PARATEC. What functional, cutoff, and k-grid
   are being used? You can refer to the documentation at
   `http://manual.berkeleygw.org/2.2/paratec-overview/`
   to learn the meaning of the keywords in the PARATEC input file.

3. Look briefly at the `OUT.paratec` file when the run finishes.  Did the run
   succeed? Find the list of k-points in the `OUT.paratec` file and
   `SCF_KPOINTS`.
