# Silicon - MF/Epsilon (WFNq) - PARATEC

In this directory we perform a non-self-consistent (NSCF) mean-field calculation to
generate all of the Bloch states needed for the subsequent GW calculations. 
The resulting wavefunction file will then be read as `WFNq` by the Epsilon code.

Follow these steps:

1. Run `sbatch --reservation=vESW_2020_Fri ./02-calculate_wfnq.run` to calculate
   the wavefunctions with PARATEC.

2. Take a look at the input file `kgrid.inp` for `kgrid.x`, the executable that
   generates our kgrids for NSCF calculations. How do the parameters here
   differ from in `2.1-wfn`? Why do we need a shifted grid for this
   calculation?

3. Run `./01-get_kgrid.sh` to generate the k-grid. Take a look at the output
   output `kgrid.out` and the more verbose log `kgrid.log`.
   - What k-grid was generated?
   - How many k-points are there in the full and symmetry-folded Brillouin
     zone?
   - Try to match up some points between this `kgrid.out` and that of
     `2.1-wfn`: each point in `WFNq` corresponds (with perhaps applying a
     symmetry) to one in `WFN`, plus the extra shift.

4. Take a look at the `input` file for PARATEC and compare to the key input
   flags described in the manual.
   - How does the file compare to that of `../2.1-wfn`?
   - Do we have any unoccupied bands? Why?
   - Why do we need fewer bands in these q-shifted wavefunctions?
   You can refer to the documentation at
   `http://manual.berkeleygw.org/2.2/paratec-overview/`.

5. When the job is finished, compare the k-points generated by PARATEC (listed
   in the `OUT.paratec` file) to those generated by `kgrid.x`.
