# Hands-on Session: Silicon


## Overview

In this session we will calculate the quasiparticle band structure of silicon
using the LDA and GW approximations, performing the starting mean-field calculation
using the DFT codes PARATEC.


## Goals

The basic goals are the following:

1. Understand the basic workflow of BerkeleyGW, and the relation between the
   k-grids, wavefunctions, and the Epsilon, Sigma, and Inteqp codes.

2. Run a basic GW calculation on silicon.

3. Construct an interpolated bandstructure via the Inteqp code.


The stretch goals are:

1. Compare your Sigma GW results with Hartree-Fock and/or static COHSEX.
   What inputs are no longer necessary? How do the results compare? 

2. Modify the example for GaAs and repeat each step of the calculation.

3. Adapt the calculation to use half-shifted k-grids.

(Note: if you try these after the tutorial is over, you should remove the
`--reservation=vESW_2020_Fri` part from the `sbatch` commands.)


## Instructions

1. Go to the mean-field folder `1-mf`.
   Follow the steps in the `README.md` file.

2. After you perform all steps in the mean-field folder, go to the
   corresponding folder for the BerkeleyGW calculations, `2-bgw`.
   Follow the instructions in the `README.md` file.
