# Silicon (2) - 1-mf/3.1-wfn_fi

In this directory we perform a non-self-consistent (NSCF) mean-field calculation
to generate all of the Bloch states needed for the GW-BSE calculation. The 
Absorption code uses two WFN files: one which is used just for the conduction
states, and one for the valence states. Just like in the Epsilon code, we need
the two k-grids to have a finite shift to properly handle `q->0` transitions.

Follow the following steps:

1. Take a look at the input file (`kgrid.inp`) for `kgrid.x`. What is the
   k-grid that we are using? What is the shift? Why are we using this shift?
   Also, check that the PARATEC input file has the right k-grid.

2. Run `./01-get_kgrid.sh` to generate the k-grid, and take a look at the
   output.

3. Run `sbatch --reservation=vESW_2020_Fri ./02-calculate_wfn.run` to launch
   PARATEC. This should take about two minutes.
